Subject: [Gen-art] GenART Telechat review of draft-ietf-pwe3-static-pw-status

From: Ben Campbell <[email-masked]>
Date: Mon, 31 Oct 2011 16:57:12 -0500

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at
< http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document: draft-ietf-pwe3-static-pw-status-09
Reviewer: Ben Campbell
Review Date: 2011-10-31
IESG Telechat date: 2011-11-3

Summary: This draft is almost ready for publication as a proposed standard, but there are a couple of comments from my review at last call that have not yet been addressed.

Major issues:

None

Minor issues:

-- 5.3:

[Note that my previous review listed this as a major issue. The may have been resolved in email correspondence, but the resolution is not reflected in the text. Therefore I am demoting it to a "minor issue"]

I previously commented as follows:

> Has the work group considered how the retransmit scheme and 30 second refresh default will scale to very large deployments? Seems like this could result in a lot of retransmissions.

I received two responses to this comment. Stewart Bryant responded:

> Are you concerned about the network traffic or the PE load.
> 
> In the case of the network traffic, this is trivial compared to the
> data traffic that these systems and their networks are designed
> to carry.
> 
> In the case of PE load, the PE is designed to deal with it.

… while Luca Martini responded:

> Yes. that is correct. This will most likely not scale for large deployments.
> We have another document draft-ietf-pwe3-status-reduction-00.txt that
> addresses this issue.
> That extension is not necessary for most common small deployments in the
> order of 100 PWs per access PE.

I am okay with either response, but suggested that whichever explanation applies be added to the draft, which has not happened.

Nits/editorial comments:

-- IDNits still has some warnings. Some I mentioned in the past review appear bogus, but there is at least one new one concerning the use of "MUST not" that appears to be real.

-- IANA Considerations

It would be helpful for the IANA consideration section to reference back to the section in the body of the draft that formally defines each parameter. For example, section 5.1 of this draft formally defines the PW OAM message. It would be helpful if the IANA consideration section for PW OAM referred back to section 5.1. A reader who is tracing back to an RFC from an IANA definition will often start out looking in the IANA consideration section, and such a reference makes things a bit friendlier when the definition is in another section of the document.